PHPExcel_Calculation

# Class: PHPExcel_Calculation_FormulaParser

Source Location: /PHPExcel/Calculation/FormulaParser.php

### Class Overview

PHPExcel_Calculation_FormulaParser

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Constants

- BRACE_CLOSE
- BRACE_OPEN
- BRACKET_CLOSE
- BRACKET_OPEN
- COMMA
- ERROR_START
- OPERATORS_INFIX
- OPERATORS_POSTFIX
- OPERATORS_SN
- PAREN_CLOSE
- PAREN_OPEN
- QUOTE_DOUBLE
- QUOTE_SINGLE
- SEMICOLON
- WHITESPACE

### Methods

- __construct
- getFormula
- getToken
- getTokenCount
- getTokens

### Class Details

[line 59]
PHPExcel_Calculation_FormulaParser

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 98]

`PHPExcel_Calculation_FormulaParser __construct( [string $pFormula = ''])`

Create a new PHPExcel_Calculation_FormulaParser

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFormula | Formula to parse

[ Top ]

### method getFormula [line 116]

`string getFormula( )`

Get Formula

#### Tags:

access: | public

[ Top ]

### method getToken [line 127]

`string getToken( [int $pId = 0])`

Get Token

#### Tags:

throws: | Exception
access: | public

#### Parameters:

int | $pId | Token id

[ Top ]

### method getTokenCount [line 140]

`string getTokenCount( )`

Get Token count

#### Tags:

access: | public

[ Top ]

### method getTokens [line 149]

`PHPExcel_Calculation_FormulaToken[] getTokens( )`

Get Tokens

#### Tags:

access: | public

[ Top ]

### Class Constants

#### BRACE_CLOSE = '}'

[line 66]

[ Top ]

#### BRACE_OPEN = '{'

[line 65]

[ Top ]

#### BRACKET_CLOSE = ']'

[line 63]

[ Top ]

#### BRACKET_OPEN = '['

[line 64]

[ Top ]

#### COMMA = ','

[line 71]

[ Top ]

#### ERROR_START = '#'

[line 72]

[ Top ]

#### OPERATORS_INFIX = "+-*/^&=><"

[line 75]

[ Top ]

#### OPERATORS_POSTFIX = "%"

[line 76]

[ Top ]

#### OPERATORS_SN = "+-"

[line 74]

[ Top ]

#### PAREN_CLOSE = ')'

[line 68]

[ Top ]

#### PAREN_OPEN = '('

[line 67]

[ Top ]

#### QUOTE_DOUBLE = '"'

[line 61]

[ Top ]

#### QUOTE_SINGLE = '\''

[line 62]

[ Top ]

#### SEMICOLON = ';'

[line 69]

[ Top ]

#### WHITESPACE = ' '

[line 70]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:19 +0200 by phpDocumentor 1.4.4